# mergetb::api
# ------
#
# This deployment contains the mergetb external api service definition and 
# underlying implementation
#

kind: Service
apiVersion: v1
metadata:
  name: api
spec:
  selector:
    app: portal
    component: api
  ports:
  - protocol: "TCP"
    port: 443
    targetPort: 443
  externalIPs:
  - 10.100.0.10
  - 10.100.0.11
  - 10.100.0.12
---
apiVersion: apps/v1beta1
kind: Deployment
metadata:
  name: api
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: portal
        tier: "1"
        component: api
        track: master
    spec:
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - weight: 1
              preference:
                matchExpressions:
                  - key: role
                    operator: NotIn
                    values:
                    - storage-node
            - weight: 1
              preference:
                matchExpressions:
                  - key: role
                    operator: In
                    values:
                    - merge-svc-node
      containers:
        - name: api
          image: "quay.io/mergetb/api:latest"
          imagePullPolicy: Always
          ports:
            - name: https
              containerPort: 443
          volumeMounts:
            - name: config-volume
              mountPath: /etc/merge
            - name: api-cert-volume
              mountPath: /certs
            - name: db-cert-volume
              mountPath: /dbcerts
      volumes:
        - name: config-volume
          configMap:
            name: merge-config
        - name: api-cert-volume
          configMap:
            name: merge-api-cert
        - name: db-cert-volume
          configMap:
            name: merge-mdb-cert
